Bug 21058 - Missing class for results_summary spans
Summary: Missing class for results_summary spans
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Bourgault
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-10 17:42 UTC by David Bourgault
Modified: 2019-10-17 19:12 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl (3.68 KB, patch)
2018-07-10 17:52 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 21058: Added HTML class to showRDAtag264 (1.93 KB, patch)
2018-07-10 17:52 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl (3.85 KB, patch)
2019-08-07 18:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21058: Added HTML class to showRDAtag264 (1.95 KB, patch)
2019-08-07 18:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl (3.90 KB, patch)
2019-08-17 19:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21058: Added HTML class to showRDAtag264 (2.00 KB, patch)
2019-08-17 19:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl (4.00 KB, patch)
2019-09-12 13:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21058: Added HTML class to showRDAtag264 (2.10 KB, patch)
2019-09-12 13:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Bourgault 2018-07-10 17:42:49 UTC
Some results_summary spans have other CSS class which can be annoying when doing CSS customization.
Comment 1 David Bourgault 2018-07-10 17:52:18 UTC Comment hidden (obsolete)
Comment 2 David Bourgault 2018-07-10 17:52:38 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2019-04-16 17:26:47 UTC
Sorry to report that this patch no longer applies.

Cheers,
Liz
Comment 4 Owen Leonard 2019-08-07 18:17:58 UTC
Created attachment 92052 [details] [review]
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl

This is a very small patch. I've simply added the following classes to
their respective spans in the detail XSLs for both interfaces.

- in_note (773$n)
- preceeding_entry_note (780$n)
- succeeding_entry_note (785$n)

To test:

1. Apply patch
2. Open details page of notice with a 773$n, 780$n or 785$n field
3. Inspect element. The class should be visible.
Comment 5 Owen Leonard 2019-08-07 18:18:01 UTC
Created attachment 92053 [details] [review]
Bug 21058: Added HTML class to showRDAtag264

Adds the HTML class "rda264" to the span generated by the XSLT function
showRDAtag264.

To test, same as previous, using a notice with a 264 tag. Both patches
only apply to MARC21.

I was unsure how to name the class, so I've chose the simplest, most
explicit name.
Comment 6 Owen Leonard 2019-08-07 18:18:58 UTC
I re-implemented the patches but kept the original authorship.
Comment 7 Katrin Fischer 2019-08-17 19:39:04 UTC
Created attachment 92340 [details] [review]
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl

This is a very small patch. I've simply added the following classes to
their respective spans in the detail XSLs for both interfaces.

- in_note (773$n)
- preceeding_entry_note (780$n)
- succeeding_entry_note (785$n)

To test:

1. Apply patch
2. Open details page of notice with a 773$n, 780$n or 785$n field
3. Inspect element. The class should be visible.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-08-17 19:39:08 UTC
Created attachment 92341 [details] [review]
Bug 21058: Added HTML class to showRDAtag264

Adds the HTML class "rda264" to the span generated by the XSLT function
showRDAtag264.

To test, same as previous, using a notice with a 264 tag. Both patches
only apply to MARC21.

I was unsure how to name the class, so I've chose the simplest, most
explicit name.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Marcel de Rooy 2019-09-12 13:45:04 UTC
Created attachment 92723 [details] [review]
Bug 21058: Added HTML classes in MARC21slim2_Detail.xsl

This is a very small patch. I've simply added the following classes to
their respective spans in the detail XSLs for both interfaces.

- in_note (773$n)
- preceeding_entry_note (780$n)
- succeeding_entry_note (785$n)

To test:

1. Apply patch
2. Open details page of notice with a 773$n, 780$n or 785$n field
3. Inspect element. The class should be visible.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Marcel de Rooy 2019-09-12 13:45:09 UTC
Created attachment 92724 [details] [review]
Bug 21058: Added HTML class to showRDAtag264

Adds the HTML class "rda264" to the span generated by the XSLT function
showRDAtag264.

To test, same as previous, using a notice with a 264 tag. Both patches
only apply to MARC21.

I was unsure how to name the class, so I've chose the simplest, most
explicit name.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 11 Martin Renvoize 2019-09-12 15:46:58 UTC
Nice work!

Pushed to master for 19.11.00
Comment 12 Fridolin SOMERS 2019-09-13 13:19:08 UTC
Small enhancement, I choose to backport

Pushed to 19.05.x for 19.05.04
Comment 13 Lucas Gass 2019-10-17 19:12:11 UTC
backported to 18.11.x for 18.11.11